Acer Aspire 5738G: touchpad can be switched off, but not on again

Bug #374459 reported by Ben M. on 2009-05-10
140
This bug affects 26 people
Affects Status Importance Assigned to Milestone
Linux
Incomplete
Medium
XOrg-Driver-Synaptics
Invalid
Medium
linux (Fedora)
Won't Fix
Medium
linux (Ubuntu)
High
Unassigned
xfree86-driver-synaptics (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xfree86-driver-synaptics

System: Acer Aspire 5738G

On this model, the button to en-/disable the touchpad has moved from FN+F7 to an extra key. With this key on Ubuntu 9.04, you can switch the touchpad off - BUT NOT ON AGAIN.

I get a keycode 200 using: $ xev | grep keycode.
dmesg and /var/log/messages won't report anything.

attached: cat Xorg.0.log | grep -i synaptics

More info can be found on the wiki page i just opend (the template is VERY outdated btw):
https://wiki.ubuntu.com/LaptopTestingTeam/AcerAspire5738

This is VERY annoying. You need to watch you finges, so they don't accidently hit the touchpad button.

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: xserver-xorg-input-synaptics 0.99.3-2ubuntu4
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.28-11-generic (buildd@crested) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009
SourcePackage: xfree86-driver-synaptics
Uname: Linux 2.6.28-11-generic x86_64

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
     Subsystem: Acer Incorporated [ALI] Device [1025:0205]
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:06ec] (rev a1)
     Subsystem: Acer Incorporated [ALI] Device [1025:0205]

Ben M. (bmhm) wrote :
Ben M. (bmhm) wrote :

I just found out it works again after going to S3. Wired.

Martin Olsson (mnemo) wrote :

Thanks for posting the laptop testing profile.

Can you attach the output of "dmesg" and "find /dev/input" please?
Also, what is S3 ?

Changed in xfree86-driver-synaptics (Ubuntu):
status: New → Confirmed
Ben M. (bmhm) wrote :

Hi,
thanks for your quick reply.

S3 is another term for Suspend to RAM. S1 would be blank screen. Most BIOSes will just say S3 or S2R for suspend to ram.

Input folder looks same before and after en-/disabling.

I found out, that the light on the touchpad button is on, if touchpad is switched off. If you go to S3 while it is on (i.e. touchpad won't work) you can press it an the LED will go off, and the touchpad will work! Then press it again, the touchpad will not work, and you cannot switch it on again.

So in fact you can switch it on, until you switch it off.

Maybe there's some file in /proc which needs an echo 1 > /proc/sth?

Ben M. (bmhm) wrote :
Martin Olsson (mnemo) wrote :

Once the touchpad is no longer working, can you make it work by running "modprobe -r psmouse; modprobe psmouse" ?

Ben M. (bmhm) wrote :

Hey!

Thanks Martin, that works - I can then press the button, the LED is off and the touchpad works. So maybe some1 could take a look at psmouse's source?

So now that we know the reason, how can I/we debug and fix it? Is there some way to enable debugging?

Regards and many thanks for helping!

Martin Olsson (mnemo) wrote :

FYI: The code for the PS/2 mouse driver is available here:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;f=drivers/input/mouse/psmouse-base.c;h=f8f86de694bbe6cdeced1097d0ac57a4aebab44c;hb=HEAD

If you want to see what kinds of options this kernel module has, run "modinfo psmouse":
filename: /lib/modules/2.6.28-11-generic/kernel/drivers/input/mouse/psmouse.ko
license: GPL
description: PS/2 mouse driver
author: Vojtech Pavlik <email address hidden>
srcversion: ABC0C1DDCFB476D296F9998
alias: serio:ty05pr*id*ex*
alias: serio:ty01pr*id*ex*
depends:
vermagic: 2.6.28-11-generic SMP mod_unload modversions 586
parm: tpdebug:enable debugging, dumping packets to KERN_DEBUG. (int)
parm: recalib_delta:packets containing a delta this large will cause a recalibration. (int)
parm: synaptics_resume_reset:Enable reset on resume for Synaptics (bool)
parm: proto:Highest protocol extension to probe (bare, imps, exps, any). Useful for KVM switches. (proto_abbrev)
parm: resolution:Resolution, in dpi. (uint)
parm: rate:Report rate, in reports per second. (uint)
parm: smartscroll:Logitech Smartscroll autorepeat, 1 = enabled (default), 0 = disabled. (bool)
parm: resetafter:Reset device after so many bad packets (0 = never). (uint)
parm: resync_time:How long can mouse stay idle before forcing resync (in seconds, 0 = never). (uint)

I suspect that some of these parameters might be useful for debugging this further (and possibly as a workaround until we get this fixed permanently).

Martin Olsson (mnemo) wrote :

@bmhm, can you please attach the output of "xmodmap -pk" ?

Ben M. (bmhm) wrote :

Hi,
what a handy command! :-)

Here you are.

There is no debug parmameter in my version, nor is there a -dbg-Package. There is also no debug switch in the source code you linked to.

Martin Olsson (mnemo) wrote :

@bmhm, can you also attach the output of the "dmesg" command recorded after the touchpad has stopped working? I'm going to open this bug against the kernel as well, and I believe the kernel team will want to know if any error is being printed to "dmesg" when the device suddenly stops working out of thin air.

Ben M. (bmhm) wrote :

Hi,

@Martin
There is nothing to attach since there is no output. I compared to /var/log/messages, but the last thing I get is -- mark --.

Martin Olsson (mnemo) wrote :

@bmhm. OK, thanks for the clarification. While we wait for the Ubuntu kernel team to have a look at this bug; let's open an upstream bug at fdo as well. I don't know enough about touchpads to say in what component this bug is hiding, but I believe the logs etc you have provided should be sufficient for a developer to have a look at it. Can you please open a bug at http://bugs.freedesktop.org/ with a clean summary of the logs and what we found out about the modprobe etc. Report the bug against "xorg" and set the component to "Input/Synaptics". Once you have created an upstream bug, use the link "Also affects project" near the top of the Launchpad bug and paste the upstream URL in there. This will link the two bug reports so that the Ubuntu packagers get an automatic notification whenever upstream fixes the bug. Should xorg upstream conclude that it's not a bug in the synaptics xorg package we can open a similar upstream bug report against bugzilla.kernel.org instead...

I'd prefer if the Ubuntu kernel team had a look at this bug first though, so we know for sure that this bug report has all the data that the upstream kernel developers are likely to need for their analysis.

Created an attachment (id=25905)
Xorg full configuration.

Overview:
On the acer aspire xxxx, there is a new button next to the touchpad. If you press it, the touchpad is switched off, and the button's LED is switched on. After that, you cannot switch the touchpad on again.

i.e.: There is no touchpad switch on FN+F5 anymore. It has moved.
Notebook (incl. Picture): https://wiki.ubuntu.com/LaptopTestingTeam/AcerAspire5738

Steps to Reproduce:
(1) Press the button - the touchpad is off, as expected
(2) Press the button again, so the button's LED is off
(3) Repeat as often as you like.

Actual Results:
Touchpad is still switched off.

Expected Results:
Touchpad switched on.

Build Date & Platform:
Ubuntu 9.04 amd64

Additional Builds and Platforms:
Not really sure. I didn't test it on Vista, I removed it directly after buying. But it should work - explanation follows.

Additional Information:
Ok, now it gets a little complicated, or lets say, wired. "modprobe -r psmouse; modprobe psmouse" actually fixes it.
If it is on and you run this command, the touchpad will work.
If it is off and you run this command, the touchpad is still switched off, but - tada - can be switched on. But if you switch it off again afterwards, the bug occurs again.

Conclusion:
Switching on/off works until you switch it off for the first time.

Logs:
* dmesg - no output
* /var/log/messages - as above
* Button has keycode 200
* xmodmap -pk (attached)
* Xorg.0.log relevant excerpt

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
Package: xserver-xorg-input-synaptics 0.99.3-2ubuntu4
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.28-11-generic (buildd@crested) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009
SourcePackage: xfree86-driver-synaptics
Uname: Linux 2.6.28-11-generic x86_64

Created an attachment (id=25906)
excerpt of Xorg.0.log

Created an attachment (id=25907)
output of 'xmodmap -pk

Created an attachment (id=25908)
system specs as from ubuntu-bug

Created an attachment (id=25909)
setxkbmap

Did so. Thanks for the guide.
It's just somewhat annoying to register for so many different platforms.

Changed in xorg-driver-synaptics:
status: Unknown → Confirmed
Bryce Harrington (bryce) on 2009-05-17
description: updated

Please download http://people.freedesktop.org/~whot/evtest.c, compile it with "gcc -o evtest evtest.c" and then run it as root with "./evtest /dev/input/eventX" where X is the number for the device. You can get the number by looking at /proc/bus/input/devices.

When the touchpad works,you should get the events as you use it. When the touchpad does not work, do you still see events?

(btw. please do not attach excerpts of a log. In most cases, these excerpts are missing vital information)

Changed in xorg-driver-synaptics:
status: Confirmed → In Progress

Created an attachment (id=26007)
full output of evtest

> When the touchpad works,you should get the events as you use it.
I'm afraid not. I found out that my touchpad uses event9. But I get an error just when the events should be comming.

> When the touchpad does not work, do you still see events?
Same as above, so just one file.

> > When the touchpad works,you should get the events as you use it.
> I'm afraid not. I found out that my touchpad uses event9. But I get an error
> just when the events should be comming.

Oh sorry. I forgot that synaptics grabs the device. You need to VT switch
away and then run evtest from the tty. While X is running you'll get the
device information but not the events.

Hi,

well it's very confusing to me what actually has happened.
-------------------
TP=Touchpad
TPL= Touchpadbutton's LED aka Touchpad lock

1.)
TPbutton working, TPL off
output: events

2.)
TPbutton pressed. TPL on.
output: none

3.)
TPbutton pressed. TPL off.
output: none

4.)
TPbutton pressed. TPL on
modprobe -r psmouse; modprobe psmouse
output: events - on x the TP wouldn't work now

5.)
TPbutton pressed. TPL off.
output: events - on x the TP starts operating as the lock is gone

6.)
TPbutton pressed. TPL on.
output: none.

7.)
TPbutton pressed. TPL off.
modprobe...
output: events

8.)
TPbutton pressed. TPL on
output: none

Seems pretty much like a hardware lock to me, but why do I see events after reloading psmouse when the TP should be locked (#4)? On the other hand, if it were a software issue, why does it handle it correctly on step 4 to 5 in X?

Hope I got all combinations.

If you need more info, just tell me. Also, there is a full Xorg.0.log on launchpad.

Regards and thanks for helping.

Not an X bug, needs to be fixed in the kernel.

On a guess, I'd say that it's only a hardware lock for the LED, not for the touchpad itself. And the kernel doesn't (or can't?) query the state of the lock.
And it seems the kernel may not get the "on" event, only the "off" event. Hence this weird sequence of events. Only guessing here though.

Either way, there's nothing we can do in the X drivers until we get the right sequence of events.

Changed in xorg-driver-synaptics:
status: In Progress → Invalid

OK, from the fdo but we now know for sure this is a kernel bug. Can you open a bug at bugzilla.kernel.org please (and include a link to the closed fdo bug so they understand that the bug is known to be in the kernel).

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in xfree86-driver-synaptics (Ubuntu):
status: Confirmed → Invalid

Allright, filed at kernel's bugzilla: http://bugzilla.kernel.org/show_bug.cgi?id=13363

What's confusing to me is, that I always get an keycode.

I just found out that the touchpad started working again after a while. I'm not sure how to reproduce, but this means it might not be a harware issue. Or maybe it resuming late.

I got this message when switching off again:
kernel: [ 6499.100541] psmouse.c: TouchPad at isa0060/serio2/input0 lost sync at byte 1

Created an attachment (id=26112)
new messages and working touchpad

Changed in linux:
status: Unknown → Confirmed
Changed in xorg-driver-synaptics:
status: Invalid → Confirmed

ok, I'd need to you to do the following:
tail -f /var/log/Xorg.0.log (assuming this is your running X.log)
tail -f /var/log/messages

then switch the touchpad off and on again. wait until you see something in messages about the device being there again, at this point the X log should print a message too ("touchpad found"). Once this message is printed, does the touchpad work? unfortunately, the touchpad driver isn't very chatty and doesn't print much when the connection is lost.

Found another way to activate it again:

After disabling the pad, enable it with the same button so the light goes off, and run this:
#sudo modprobe -r psmouse && modprobe psmouse

Changed in linux:
status: Confirmed → Fix Released

ping? any update on this?

@ #16
Already postet on #6

Did someone test it by know? Say, on Karmic beta/rc?

I tried Kubuntu 9.10 RC just on LiveCD, but touchpad button problem hasn't been solved YET.

Ben M. (bmhm) wrote :

Upstream they say this:

"On older kernels the problem can be worked around with i8042.nomux option."

What does this mean please? Is it a module to be loaded with this option?

Tormod Volden (tormodvolden) wrote :

modinfo i8042 should tell you if you have such a module. There is none in Karmic.

Yes,

on linux kernel bugs, they said it's been fixed.
However, wasn't able to test it yet.

see here
https://bugs.launchpad.net/ubuntu/+source/xfree86-driver-synaptics/+bug/374459
and here
http://bugzilla.kernel.org/show_bug.cgi?id=13363

Vielen Dank!
Thanks for helping!

(Setting to invalid, since this is not a xorg-bug).

I found out, it's compiled into ubuntu's kernel. So someone would need to add this to his kernel option line.
Since I am new to grub2, I might try later (just saw it can be appended by using dpkg-reconfigure).

Changed in xorg-driver-synaptics:
status: Confirmed → Invalid
Sergio Zanchetta (primes2h) wrote :

I have the same problem on the same notebook.
Does this bug needs some log/info/etc ?
Let me know.

Changed in linux (Ubuntu):
importance: Undecided → Medium

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ismaela 1685 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf3400000 irq 21'
   Mixer name : 'Nvidia MCP78 HDMI'
   Components : 'HDA:10ec0888,10250205,00100202 HDA:11c11040,11c10001,00100200 HDA:10de0003,10de0101,00100000'
   Controls : 32
   Simple ctrls : 17
CurrentDmesg:
 [ 17.997971] ppdev: user-space parallel port driver
 [ 19.629666] usplash:385 freeing invalid memtype fffffffff1000000-fffffffff1e00000
 [ 27.680038] eth0: no IPv6 routers present
 [ 226.420400] process `skype.real' is using obsolete setsockopt SO_BSDCOMPAT
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=70d1589d-6052-41e5-adc9-268829969075
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: Acer Aspire 5738
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=efc57294-45be-4548-9d62-1795b14dc949 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=it_IT.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic N/A
 linux-firmware 1.24
Uname: Linux 2.6.31-14-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:1727): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1727): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1839): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1824): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (gnome-panel:1823): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -6 and height 24
dmi.bios.date: 07/13/2009
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.13
dmi.board.name: JV50
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.13:bd07/13/2009:svnAcer:pnAspire5738:pvr0100:rvnAcer:rnJV50:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 5738
dmi.product.version: 0100
dmi.sys.vendor: Acer

tags: added: apport-collected
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Andy Whitcroft (apw) on 2009-11-13
summary: - touchpad can be switched off, but not on again
+ Acer Aspire 5738G: touchpad can be switched off, but not on again
32 comments hidden view all 112 comments
Piotrek (pataczek) wrote :

It hasn't been fixed in Lucid Lynx Alpha 2. It works only with "i8042.nomux" option still.

Magnus Johansson (mange-emjay) wrote :

The "i8042.nomux" fix the issue with the on/off button, but makes the touchpads "scrollarea" wierd.
Its work ok for some seconds, but then its jump automatic to the document/website bottom and stops working.

Acer Aspire 7738G

PhobosK (phobosk) wrote :

Still not fixed for Acer Aspire 7738G (look #57 here too):

1. modprobe -r psmouse && modprobe psmouse - works when the button is in turned off state (not lit)
2. i8042.nomux kernel option works but makes the side scrollarea (it has a separate area for scroll - http://www.notebookcheck.net/typo3temp/pics/931e067a0d.jpg) stop working properly

Ubuntu 9.10 all latest packages and kernel.

root@acer:~# uname -a
Linux acer 2.6.31-21-generic #59-Ubuntu SMP Wed Mar 24 07:28:27 UTC 2010 x86_64 GNU/Linux

Some of the DMI info:

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
 Vendor: Phoenix Technologies LTD
 Version: V1.12
 Release Date: 09/18/2009
 Address: 0xE4510
 Runtime Size: 113392 bytes
 ROM Size: 2048 kB
 Characteristics:
  ISA is supported
  PCI is supported
  PC Card (PCMCIA) is supported
  PNP is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  ESCD support is available
  Boot from CD is supported
  ACPI is supported
  USB legacy is supported
  AGP is supported
  BIOS boot specification is supported
  Targeted content distribution is supported

Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: Acer
 Product Name: Aspire 7738
 Version: 0100
 Serial Number: XXXXXXXXXXXXXXXXXXXXXXXXXX
 UUID: XXXXXXXXXXXXXXXXXXXXXXXXXX
 Wake-up Type: Power Switch
 SKU Number: Not Specified
 Family: Not Specified

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
 Manufacturer: Acer
 Product Name: JM70
 Version: Rev
 Serial Number: XXXXXXXXXXXXXXXXXXXXXXXXXX
 Asset Tag: Not Specified
 Features: None
 Location In Chassis: Not Specified
 Chassis Handle: 0xFFFF
 Type: Unknown
 Contained Object Handles: 0
......................
......................
Handle 0x0008, DMI type 8, 9 bytes
Port Connector Information
 Internal Reference Designator: J1A1
 Internal Connector Type: None
 External Reference Designator: Keyboard
 External Connector Type: Circular DIN-8 male
 Port Type: Keyboard Port

Handle 0x0009, DMI type 8, 9 bytes
Port Connector Information
 Internal Reference Designator: J1A1
 Internal Connector Type: None
 External Reference Designator: PS/2 Mouse
 External Connector Type: Circular DIN-8 male
 Port Type: Mouse Port

Lawry (lade334) wrote :

I can confirm this bug on Aspire 5536G - Lucid beta.

Sergey Chebotar (s-chebotar) wrote :

Confirmed with Lucid on Acer 5542g. "i8042.nomux" doesn't work well, after a few turnings on/off touchpad goes dead till reboot.

Adam Niedling (krychek) wrote :

Touchpad disable button still doesn't work for Acer 4810T on Lucid even thou a notification bubble appears indicating what's happening with the touchpad.

Rubber Ducky (rd1945) wrote :

Bug still exists in Lucid on Acer Aspire 7738G.

Notification bubble says it's enabled but touchpad doesn't work.

Changed in linux (Ubuntu):
importance: Medium → High
tags: added: kernel-input kernel-needs-review
tags: added: kernel-reviewed
removed: kernel-needs-review
tags: added: cherry-pick
Michael Krahl (the-cleaner) wrote :

Confirmed with Lucid-64bit on Acer Extensa 5635z. "i8042.nomux" works only once, after turning on/off (Fn+F7) touchpad goes dead till reboot.

With Lucid-64bit on Acer Aspire 5738 "i8042.nomux" works perfectly. NO
PROBLEMS DETECTED

Dstl (dstilio) wrote :

Acer aspire 5738zg
Intel T4200 2 GHz

Ubuntu 10.04 LTS

The "i8042.nomux" solution worked perfectly.

John Stenton (johnstenton) wrote :

Hi I am afraid that I am quite new to this but I have an Acer 5738 which was suffering with the touch pad leaping all over even in uncle bills W7 Untill I found that the Touch pad is not synaptics but Alps with the Alps drivers all is tickity boo. Don't know if this might help with Ubuntu i am going to reboot later and see if there is an alps driver but as I say neither operating system recognised the pad correctly...

I'm on a HP Pavillion, but I've experienced the same problems. I was reluctant to try the nomux fix, as it requires some work in getting the touchpad working properly again. Anyway, in my case bash and the keyboard stopped working, except for a few buttons. All the F-keys and the bottom row still worked. The only chance it gave me was some ctrl-alt-F# combinations. And miraculously one combination worked for me:

First press ctrl-alt-F1 (takes you to a login screen)
Then press ctrl-alt-F7 and everything should be fine again.

Also can confirm on Acer 5738DG 64-bit generic kernel "i8042.nomux" works perfectly.

Rubber Ducky (rd1945) wrote :

I can confirm that this does not work anymore?

I tried the fix today on Lucid Lynx x64.

Also, another strange thing is that sometimes (well, most off the time) the light indicates that touchpad is on, but when i press the button (so the light turns on), the bubble notifier tells me i enabled it. So, it's the complete opposite from what it's supposed to do.

Sylvain (sy-dumontet) wrote :

thank you very much, its ok for acer 7735ZG
Sorry for bad english

Changed in xorg-driver-synaptics:
importance: Unknown → Medium
12 comments hidden view all 112 comments

Description of problem:
The key for block/unlock touchpad is not set(HAL,ACPI,setkeycodes), but when i press it, it blocks the touchpad, and i require to suspend, then it back to works.

Version-Release number of selected component (if applicable):
2.6.32.21-166.f12

How reproducible:
always

Steps to Reproduce:
1.press Touchpad button
2.
3.

Actual results:
touchpad button not working correctly

Expected results:
should turn on and off the touchpad... synclient synaptics off 0 or 1 works... but button doesn't

Additional info:

Sep 18 03:26:48 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf2 on isa0060/serio0).
Sep 18 03:26:48 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 18 03:26:48 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf2 on isa0060/serio0).
Sep 18 03:26:48 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 18 03:26:49 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf1 on isa0060/serio0).
Sep 18 03:26:49 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.
Sep 18 03:26:49 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf1 on isa0060/serio0).
Sep 18 03:26:49 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.

so, it's impossible the button works by itself...

[root@gateway maximi89]# dmidecode |grep -C12 -i mouse
Handle 0x000A, DMI type 8, 9 bytes
Port Connector Information
 Internal Reference Designator: J33
 Internal Connector Type: None
 External Reference Designator: Keyboard
 External Connector Type: Circular DIN-8 male
 Port Type: Keyboard Port

Handle 0x000B, DMI type 8, 9 bytes
Port Connector Information
 Internal Reference Designator: J33
 Internal Connector Type: None
 External Reference Designator: PS/2 Mouse
 External Connector Type: Circular DIN-8 male
 Port Type: Keyboard Port

[root@gateway maximi89]# sudo dmidecode --string system-manufacturer
Gateway
[root@gateway maximi89]# sudo dmidecode --string system-product-name
NV52 Series

[root@gateway maximi89]# uname -a
Linux gateway 2.6.32.21-166.fc12.i686.PAE #1 SMP Fri Aug 27 06:33:34 UTC 2010 i686 athlon i386 GNU/Linux

15 comments hidden view all 112 comments
maximi89 (maximi89) wrote :

Same problem on a Gateway NV5214u

[root@gateway maximi89]# sudo dmidecode --string system-manufacturer
Gateway
[root@gateway maximi89]# sudo dmidecode --string system-product-name
NV52 Series

[root@gateway maximi89]# uname -a
Linux gateway 2.6.32.21-166.fc12.i686.PAE #1 SMP Fri Aug 27 06:33:34 UTC 2010 i686 athlon i386 GNU/Linux

maximi89 (maximi89) wrote :

Hoops!, btw, in my case the button is not set to do anything... but when i press it, it block the touchpad...

in my case the touchpad have code e071 and e072

Sep 18 03:26:48 gateway kernel: atkbd.c: Unknown key pressed (translated set 2,
code 0xf2 on isa0060/serio0).
Sep 18 03:26:48 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to
make it known.
Sep 18 03:26:48 gateway kernel: atkbd.c: Unknown key released (translated set
2, code 0xf2 on isa0060/serio0).
Sep 18 03:26:48 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to
make it known.
Sep 18 03:26:49 gateway kernel: atkbd.c: Unknown key pressed (translated set 2,
code 0xf1 on isa0060/serio0).
Sep 18 03:26:49 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to
make it known.
Sep 18 03:26:49 gateway kernel: atkbd.c: Unknown key released (translated set
2, code 0xf1 on isa0060/serio0).
Sep 18 03:26:49 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to
make it known.

my bug under Fedora bugzilla :D

15 comments hidden view all 112 comments

tailf -f /var/log/messages
....
(II) RADEON(0): EDID for output VGA-0
(II) RADEON(0): EDID for output HDMI-0
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) Video WebCam: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.

two first lines...
i press the button of touchpad, who are not set, nothing on lshal -m, acpi_listen, udevadm monitor, tailf -f /var/log/Xorg.0.log either messages...

nothing of nothing, but third line said it found a touchpad... so if the button is not doing anything how when i press it, it disable the touchpad?...

And does adding "i8042.nomux=1" to the kernel boot options fix it, as suggested in the upstream kernel bug?

well, i found a patch from Kernel to i8042

https://patchwork.kernel.org/patch/110046/
(Patch, last activity Dmitry Torokhov - 2010-07-12 16:07:59)

http://kerneltrap.org/mailarchive/linux-kernel/2010/7/1/4588887/thread

yes, it works, almost 2 suspend tested... but it have time delays some times, and i detect something, if we have a finger on the touchpad it doesn't unlock it...

well, about the /var/log/messages, i get:

Sep 20 14:16:28 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.
Sep 20 14:16:29 gateway kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 5 bytes away.
Sep 20 14:16:30 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf2 on isa0060/serio0).
Sep 20 14:16:30 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 20 14:16:30 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf2 on isa0060/serio0).
Sep 20 14:16:30 gateway kernel: atkbd.c: Use 'setkeycodes e072 <keycode>' to make it known.
Sep 20 14:16:31 gateway kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf1 on isa0060/serio0).
Sep 20 14:16:31 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.
Sep 20 14:16:31 gateway kernel: atkbd.c: Unknown key released (translated set 2, code 0xf1 on isa0060/serio0).
Sep 20 14:16:31 gateway kernel: atkbd.c: Use 'setkeycodes e071 <keycode>' to make it known.

why this are managed by the driver? this could have a lock/unlock function into input.h (kernel keycodes)...

18 comments hidden view all 112 comments
Adam Niedling (krychek) wrote :

This is still an issue in Maverick with an Acer 4810TG.

19 comments hidden view all 112 comments

This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 12 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

This is managed by a kernel driver, i8042
i resolv this using "i8042.nomux=1" at kernel boot line.

But this should be fixed by default, with no interaction of the users... because i have to search a lot to get it working, lot of options.

This could be managed by the kernel keycodes, or something what can be managed by the user

19 comments hidden view all 112 comments

I have the same problem on my Acer Aspire 5410, using Ubuntu 10.04 (64-bit)

Pedro J. Hernández (phergont) wrote :

Same problem on Acer Aspire 5738PG using Maverick 64 bits. I can turn the touchpad off but it only works again by restarting the system.

James Dupin (james.dupin) wrote :

acer 7736ZG
maverick 32 bits

the problem still exists but is solved when passing i4082.nomux=1 as argument

Changed in linux:
status: Fix Released → Confirmed
Changed in xorg-driver-synaptics:
importance: Medium → Unknown
Changed in xorg-driver-synaptics:
importance: Unknown → Medium
Changed in linux:
importance: Unknown → Medium
bojo42 (bojo42) wrote :

when running backported linux 2.6.38 on lucid and 5738G the issue is still present, so natty should also be affected. but passing "i8042.nomux" via "/etc/default/grub" and running "update-grub" afterwards still solves it.

This fix should be put mainstream!

Sergey Chebotar (s-chebotar) wrote :

I can confirm this for Natty Beta, working from flash drive on my 5542G.

Adam Niedling (krychek) wrote :

Still a problem in Natty.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
tb (tommyb-2) wrote :

ubuntu 10.10 kernel vmlinuz-2.6.35-31-generic-pae adding "i8042.nomux" to grub.cfg works

12 comments hidden view all 112 comments

This message is a notice that Fedora 14 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 14. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 14 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Changed in linux:
status: Confirmed → Expired
Changed in linux:
status: Expired → Incomplete
Changed in linux (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix
Displaying first 40 and last 40 comments. View all 112 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.